Assets
Node API v1.0.0 (Arrekta Node API).
| Method | Path | Summary |
|---|---|---|
| GET | /v1/assets | List Assets |
| GET | /v1/assets/{key} | Get Asset |
| GET | /v1/assets/{key}/frozen | Asset Frozen |
| POST | /v1/tools/metadata-hash | Metadata Tool |
GET /v1/assets
List Assets.
curl -s http://127.0.0.1:28332/v1/assetsParameters
| Name | In | Type | Required | Notes |
|---|---|---|---|---|
offset | query | integer | no | min 0, default 0 |
limit | query | integer | no | min 1, max 500, default 100 |
Response 200 (application/json): AssetPage
| Field | Type | Required | Notes |
|---|---|---|---|
items | Asset[] | yes | |
limit | integer | yes | |
offset | integer | yes |
Unknown fields may be added within v1; clients must ignore them.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: list_assets_v1_assets_get
GET /v1/assets/{key}
Get Asset.
curl -s http://127.0.0.1:28332/v1/assets/<key>Parameters
| Name | In | Type | Required | Notes |
|---|---|---|---|---|
key | path | string | yes |
Response 200 (application/json): Asset
| Field | Type | Required | Notes |
|---|---|---|---|
asset | string | yes | |
authority_asset | string | null | yes | may be null |
burned | string | yes | |
circulating | string | yes | |
clawback | boolean | yes | |
control_asset | string | null | yes | may be null |
decimals | integer | yes | |
freezable | boolean | yes | |
issue_height | integer | yes | |
issue_txid | string | yes | |
issued | string | yes | |
max_supply | string | yes | |
metadata_hash | string | yes | |
mintable | boolean | yes | |
name | string | yes | |
native | boolean | yes | |
ticker | string | yes |
Unknown fields may be added within v1; clients must ignore them.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: get_asset_v1_assets__key__get
GET /v1/assets/{key}/frozen
Asset Frozen.
curl -s http://127.0.0.1:28332/v1/assets/<key>/frozenParameters
| Name | In | Type | Required | Notes |
|---|---|---|---|---|
key | path | string | yes | |
limit | query | integer | no | min 1, max 5000, default 1000 |
Response 200 (application/json): AssetFrozen
| Field | Type | Required | Notes |
|---|---|---|---|
asset | string | yes | |
freezable | boolean | yes | |
frozen | FrozenHolder[] | yes | |
ticker | string | yes |
Unknown fields may be added within v1; clients must ignore them.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: asset_frozen_v1_assets__key__frozen_get
POST /v1/tools/metadata-hash
Metadata Tool.
Validate an asset metadata document (ARRK-AMS-1) and return the hash to put in an issuance.
curl -s -X POST http://127.0.0.1:28332/v1/tools/metadata-hash -H 'content-type: application/json' -d '{…}'Request body (application/json, required): MetadataBody
| Field | Type | Required | Notes |
|---|---|---|---|
controlled | boolean | no | default false |
document | object | yes | |
ticker | string | null | no | may be null |
Response 200 (application/json): MetadataHash
| Field | Type | Required | Notes |
|---|---|---|---|
canonical | string | yes | |
metadata_hash | string | yes |
Unknown fields may be added within v1; clients must ignore them.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: metadata_tool_v1_tools_metadata_hash_post
Schemas
Asset
| Field | Type | Required | Notes |
|---|---|---|---|
asset | string | yes | |
authority_asset | string | null | yes | may be null |
burned | string | yes | |
circulating | string | yes | |
clawback | boolean | yes | |
control_asset | string | null | yes | may be null |
decimals | integer | yes | |
freezable | boolean | yes | |
issue_height | integer | yes | |
issue_txid | string | yes | |
issued | string | yes | |
max_supply | string | yes | |
metadata_hash | string | yes | |
mintable | boolean | yes | |
name | string | yes | |
native | boolean | yes | |
ticker | string | yes |
Unknown fields may be added within v1; clients must ignore them.
AssetFrozen
| Field | Type | Required | Notes |
|---|---|---|---|
asset | string | yes | |
freezable | boolean | yes | |
frozen | FrozenHolder[] | yes | |
ticker | string | yes |
Unknown fields may be added within v1; clients must ignore them.
AssetPage
| Field | Type | Required | Notes |
|---|---|---|---|
items | Asset[] | yes | |
limit | integer | yes | |
offset | integer | yes |
Unknown fields may be added within v1; clients must ignore them.
FrozenHolder
| Field | Type | Required | Notes |
|---|---|---|---|
address | string | null | yes | may be null |
since_height | integer | yes |
Unknown fields may be added within v1; clients must ignore them.
MetadataBody
| Field | Type | Required | Notes |
|---|---|---|---|
controlled | boolean | no | default false |
document | object | yes | |
ticker | string | null | no | may be null |
MetadataHash
| Field | Type | Required | Notes |
|---|---|---|---|
canonical | string | yes | |
metadata_hash | string | yes |
Unknown fields may be added within v1; clients must ignore them.